GCXONEDocumentatie

Analytics

Op deze pagina
  1. POST /analytics/detect
  2. Verzoek‑body
  3. Responsen
  4. POST /analytics/manage
  5. Verzoek‑body
  6. Responsen
  7. POST /analytics/schedule
  8. Verzoek body
  9. Responses
  10. POST /analytics/update
  11. Verzoek body
  12. Responses

Operaties op analytics resources. 4 eindpunten, elk relatief ten opzichte van https://api.nxgen.cloud/api/v1 en geauthenticeerd zoals beschreven onder Authenticatie.

POST /analytics/detect

AI Analytics Service

Verzoek‑body

Analytics Verzoekparameters

json
{
  "analytics": "string",
  "version": "string",
  "routeName": "string",
  "meta": {
    "useDeviceMetadataBoxes": "boolean",
    "useObjectDetector": "boolean",
    "useMotionDetection": "boolean",
    "useLicensePlateDetection": "boolean",
    "useFaceRecognition": "boolean",
    "personConfidenceThreshold": "number",
    "carConfidenceThreshold": "number",
    "animalConfidenceThreshold": "number",
    "licensePlateConfidenceThreshold": "number",
    "faceConfidenceThreshold": "number",
    "motionThreshold": "integer",
    "motionMinBBoxWidth": "integer",
    "motionMinBBoxHeight": "integer",
    "modality": "string",
    "roi": [
      [
        "integer"
      ]
    ],
    "useHistogramEqualization": "boolean",
    "saveDebugImages": "boolean",
    "carMinArea": "integer",
    "personMinArea": "integer",
    "animalMinArea": "integer",
    "licensePletMinArea": "integer",
    "faceMinArea": "integer"
  },
  "frames": [
    {
      "imageUrl": "string",
      "meta": {
        "deviceMetadataBoxes": [
          ""
        ]
      }
    }
  ]
}

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

401

Niet toegestaan

403

Verboden

404

Niet gevonden

Voorbeeld 200 respons:

json
{
  "dataResult": [
    {
      "eventid": "",
      "personConfidenceThreshold": 0.5,
      "carConfidenceThreshold": 0.5,
      "animalConfidenceThreshold": 0.5,
      "hasPerson": true,
      "hasCar": true,
      "hasAnimal": false,
      "full_frame_detections": [
        {
          "x": 1289,
          "y": 189,
          "width": 235,
          "height": 543,
          "frameIdx": 1,
          "confidence": 0.99912816,
          "label": "person"
        },
        {
          "x": 6,
          "y": 316,
          "width": 440,
          "height": 369,
          "frameIdx": 1,
          "confidence": 0.9997342,
          "label": "car"
        },
        {
          "x": 8,
          "y": 317,
          "width": 436,
          "height": 368,
          "frameIdx": 2,
          "confidence": 0.9997941,
          "label": "car"
        }
      ],
      "device_bboxes": [],
      "motion_locations": []
    }
  ],
  "totalRecordsCount": 15
}

POST /analytics/manage

verwijder schema

Verzoek‑body

Analyse Verzoekparameters

json
{
  "type": "string (required)",
  "action": "string",
  "oldExpression": "string (required)",
  "newExpression": "string",
  "spid": "string",
  "hierarchyLevel": "string",
  "hierarchyIds": [
    "string"
  ]
}

Responsen

Status

Beschrijving

Body

200

Succes

204

Geen inhoud

401

Niet toegestaan

POST /analytics/schedule

config Schedule

Verzoek body

Analyse Request Parameters

json
{
  "type": "string",
  "action": "string (required)",
  "spid": "string (required)",
  "hierarchyIds": [
    "string"
  ],
  "hierarchyLevel": "string (required)",
  "expression": "string"
}

Responses

Status

Description

Body

200

Success

204

Geen inhoud

401

Niet toegestaan

POST /analytics/update

Update schema

Verzoek body

Analyse Request Parameters

json
{
  "entityType": "string",
  "entityId": "string",
  "serviceProviderId": "string",
  "analyticType": "string",
  "oldExpression": "string",
  "newExpression": "string",
  "isActive": "boolean",
  "overwriteCustomSchedule": "string",
  "analyticAction": "string",
  "runOnce": "boolean"
}

Responses

Status

Description

Body

200

Success

204

Geen inhoud

401

Niet toegestaan

Example 200 response:

json
{
  "isSuccess": true
}
Was deze pagina nuttig?

Bedankt — uw feedback gaat naar het team dat deze pagina beheert.